Turn Similar Pages / Page Issues into a native component.
Closed, ResolvedPublic3 Story Points

Description

We need to make the "Similar pages" and "Page issues" items into native buttons. This will serve as a prerequisite for T114523 and T114524, since those buttons will live alongside the disambiguation/issues buttons.

I imagine that this native strip of buttons can simply be an extension of the existing LeadImageContainer. (and the WebView can pass the hatnote/issues data to the native component when the page loads)
Visually it should look something like this:

Whether the buttons will be just an icon, or an icon with text, is still TBD.

Dbrant created this task.Oct 21 2015, 1:12 AM
Dbrant updated the task description. (Show Details)
Dbrant raised the priority of this task from to Normal.
Dbrant moved this task to Next Sprint on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2015, 1:12 AM
MBinder_WMF set Security to None.
MBinder_WMF edited a custom field.
Niedzielski moved this task from To Do to Doing on the Mobile-App-Android-Sprint-70-Ytterbium board.

Change 252589 had a related patch set uploaded (by Niedzielski):
Hygiene: refactor lead image parallax scrolling

https://gerrit.wikimedia.org/r/252589

Change 252589 merged by jenkins-bot:
Hygiene: refactor lead image parallax scrolling

https://gerrit.wikimedia.org/r/252589

Change 253065 had a related patch set uploaded (by Niedzielski):
Hygiene: move lead parallax to Drawable matrix

https://gerrit.wikimedia.org/r/253065

Change 253065 merged by jenkins-bot:
Hygiene: move lead parallax to Drawable matrix

https://gerrit.wikimedia.org/r/253065

Change 254112 had a related patch set uploaded (by Niedzielski):
Make page issues and disambiguations native

https://gerrit.wikimedia.org/r/254112

Change 254112 abandoned by Niedzielski:
Make page issues and disambiguations native

Reason:
To be continued...

https://gerrit.wikimedia.org/r/254112

Change 258213 merged by jenkins-bot:
Move content issues and disambiguations to menu

https://gerrit.wikimedia.org/r/258213

Checked with 2.1.136-alpha-2015-12-15 on Nexus 5 (Android 5.1.1)
From https://gerrit.wikimedia.org/r/#/c/258213/

Move content issues and similar titles to page menu and move save pages
and share a link to the article toolbar.

Articles with 'Page issues'


vs 2.1.134-r-2015-11-12


Checked with 2.1.136-alpha-2015-12-15 on Nexus 5 (Android 5.1.1)

Article with 'Similar pages'

Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM